Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Data/Dump.pm) perl(Exporter.pm) perl(IO/Socket/Netlink.pm) perl(Socket.pm) perl(Socket/Netlink/Route_const.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Socket-Netlink-Route
Version:        0.05
Release:        alt1_1
Summary:        Interface to Linux's NETLINK_ROUTE netlink socket protocol
License:        GPL+ or Artistic

URL:            http://search.cpan.org/dist/Socket-Netlink-Route/
Source0:        http://www.cpan.org/authors/id/P/PE/PEVANS/Socket-Netlink-Route-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  perl(ExtUtils/CChecker.pm)
BuildRequires:  perl(ExtUtils/H2PM.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Socket/Netlink.pm)
BuildRequires:  perl(Test/More.pm)

Requires:       perl(Socket/Netlink.pm) >= 0.03

## Filter unneeded Provides with RPM 4.8
%{echo 
%filter_from_provides /^perl.Socket.Netlink.Route.pm.$/d
}

## Filter unneeded Provides with RPM 4.9


# For some reason rpmbuild picks this one up as a 'Requires', but not as
# a 'Provides'. Adding it manually or the package fails to install
Provides:       perl(Socket/Netlink/Route_const.pm) == %{version}
Source44: import.info


%description
This module contains the low-level constants and structure handling
functions required to use the NETLINK_ROUTE protocol of Linux's PF_NETLINK
socket family. It is suggested to use the high-level object interface to
this protocol instead; see IO::Socket::Netlink::Route.


%prep
%setup -q -n Socket-Netlink-Route-%{version}


%build
%{__perl} Build.PL --install_path bindoc=%_man1dir installdirs=vendor
./Build


%install
./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} %{buildroot}/*


%check
./Build test


%files
%doc Changes examples LICENSE README
%{perl_vendor_privlib}/IO
%{perl_vendor_privlib}/Socket


%changelog
* Mon Mar 25 2013 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1_1
- update to new release by fcimport

* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1_7
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1_6
- update to new release by fcimport

* Sat May 26 2012 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1_4
- fc import

